Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.model.item
Class AudioBroadcast

    java.lang.Object
      org.teleal.cling.support.model.DIDLObject
          org.teleal.cling.support.model.item.Item
              org.teleal.cling.support.model.item.AudioItem
                  org.teleal.cling.support.model.item.AudioBroadcast

    public class AudioBroadcast

extends AudioItem

Author:
  Christian Bauer

Nested Class Summary

Nested classes/interfaces inherited from class org.teleal.cling.support.model.DIDLObject
`DIDLObject.Class, DIDLObject.Property<V>`

Field Summary
`static DIDLObject.Class` | `CLASS`

Fields inherited from class org.teleal.cling.support.model.item.Item
`refID`

Fields inherited from class org.teleal.cling.support.model.DIDLObject
`clazz, creator, descMetadata, id, parentID, properties, resources, restricted, title, writeStatus`

Constructor Summary
`AudioBroadcast()`
`AudioBroadcast(Item other)`
`AudioBroadcast(String id, String parentID, String title, String creator, Res... resource)`

Method Summary
`Integer` | `getChannelNr()`
`String` | `getRadioBand()`
`String` | `getRadioCallSign()`
`String` | `getRadioStationID()`
`String` | `getRegion()`
`AudioBroadcast` | `setChannelNr(Integer channelNr)`
`AudioBroadcast` | `setRadioBand(String radioBand)`
`AudioBroadcast` | `setRadioCallSign(String radioCallSign)`
`AudioBroadcast` | `setRadioStationID(String radioStationID)`
`AudioBroadcast` | `setRegion(String region)`

Methods inherited from class org.teleal.cling.support.model.item.AudioItem
`getDescription, getFirstGenre, getFirstPublisher, getFirstRelation, getFirstRights, getGenres, getLanguage, getLongDescription, getPublishers, getRelations, getRights, setDescription, setGenres, setLanguage, setLongDescription, setPublishers, setRelations, setRights`

Methods inherited from class org.teleal.cling.support.model.item.Item
`getRefID, setRefID`

Methods inherited from class org.teleal.cling.support.model.DIDLObject
`addDescMetadata, addProperties, addProperty, addResource, equals, getClazz, getCreator, getDescMetadata, getFirstProperty, getFirstPropertyValue, getFirstResource, getId, getLastProperty, getParentID, getProperties, getProperties, getPropertiesByNamespace, getPropertyValues, getResources, getTitle, getWriteStatus, hashCode, hasProperty, isRestricted, removeProperties, replaceFirstProperty, replaceProperties, setClazz, setCreator, setDescMetadata, setId, setParentID, setProperties, setResources, setRestricted, setTitle, setWriteStatus`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLASS

    public static final DIDLObject.Class CLASS

Constructor Detail

### AudioBroadcast

    public AudioBroadcast()

### AudioBroadcast

    public AudioBroadcast(Item other)

### AudioBroadcast

    public AudioBroadcast(String id,
                          String parentID,
                          String title,
                          String creator,
                          Res... resource)

Method Detail

### getRegion

    public String getRegion()

### setRegion

    public AudioBroadcast setRegion(String region)

### getRadioCallSign

    public String getRadioCallSign()

### setRadioCallSign

    public AudioBroadcast setRadioCallSign(String radioCallSign)

### getRadioStationID

    public String getRadioStationID()

### setRadioStationID

    public AudioBroadcast setRadioStationID(String radioStationID)

### getRadioBand

    public String getRadioBand()

### setRadioBand

    public AudioBroadcast setRadioBand(String radioBand)

### getChannelNr

    public Integer getChannelNr()

### setChannelNr

    public AudioBroadcast setChannelNr(Integer channelNr)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.